#include<stdio.h>
#include<algorithm>
int main(){
	long long n,t,max=0,j,i;
	scanf("%lld",&n);
	long long a[n];
	scanf("%lld",&a[0]);
	for(i=1;i<n;i++){
	scanf("%lld",&a[i]);
    if(a[i]>max){
		max=a[i];
		j=i;
	}
}
if(n==2){
		t=a[0];
		a[0]=a[1];
		a[1]=t;
	}
else if(max>a[0]){
		t=a[0];
		a[0]=max;
		a[j]=t;
	}
	else 
	 for(i=1;i<n;i++)if(max>a[i]){
		t=a[i];
		a[i]=max;
		a[j]=t;
	}
	for(i=0;i<n;i++)printf("%lld ",a[i]);
	return 0;
}